Page MenuHomePhabricator

SDC: The tabs end up in the wrong place in "view" non-view pages like diffs
Closed, ResolvedPublic

Description

https://commons.wikimedia.beta.wmflabs.org/w/index.php?title=File:Photo_on_08-02-2019_at_16.35.jpg&diff=107196&oldid=106854&diffmode=source
(Updated above URL for testing - it'll take another week for the previous url to receive the fix)

QA steps:

  • have a look at some File pages, and check in their history
  • compare versions, and on the diff page the tabs should be under the actual diff and clicking on the tabs should work
  • look at an old version of a File page and make sure the tabs appear in the right place, and that clicking on them works
  • note that on the diff page and on the historical page that you shouldn't have 'edit' buttons you can click on to edit the structured data (captions and depicts)

QA Results

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : wmf/1.34.0-wmf.1Fix selector for enabling statement edits
mediawiki/extensions/WikibaseMediaInfo : masterFix selector for enabling statement edits
mediawiki/extensions/WikibaseMediaInfo : masterDetach editing controls on diff and historical File pages
mediawiki/extensions/WikibaseMediaInfo : masterPut panel initialisation inside hooks
mediawiki/extensions/WikibaseMediaInfo : masterAdjust display to cater for diff and historical pages

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptMar 21 2019, 5:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Oof. That is ugly. But isn't the problem here that the tabs are in the wrong place, not necessarily that we shouldn't show them at all?

Oof. That is ugly. But isn't the problem here that the tabs are in the wrong place, not necessarily that we shouldn't show them at all?

Hmm. Yeah, we've never had interactive content in the view mode before, so this is novel, but I suppose we should retain them but inset at the right point, yes.

Jdforrester-WMF renamed this task from SDC: Don't try to show the tabs on non-view pages like diffs to SDC: The tabs end up in the wrong place in "view" non-view pages like diffs.Mar 21 2019, 6:49 PM
Ramsey-WMF assigned this task to Cparle.Mar 21 2019, 7:31 PM
Ramsey-WMF triaged this task as High priority.

Assigning to Cormac for now since he's looking for stuff to do :)

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Mar 21 2019, 7:31 PM
Ramsey-WMF moved this task from To Do to Doing on the Structured-Data-Team-Current-Work board.
Ramsey-WMF moved this task from To Do to Doing on the Structured Data Engineering board.
Ramsey-WMF added a subscriber: PDrouin-WMF.

Note also that the tabs don't work properly on old versions of the page ...

Change 498415 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Adjust display to cater for diff and historical pages

https://gerrit.wikimedia.org/r/498415

Change 498415 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Adjust display to cater for diff and historical pages

https://gerrit.wikimedia.org/r/498415

Cparle removed Cparle as the assignee of this task.Mar 27 2019, 4:14 PM
Cparle updated the task description. (Show Details)
Cparle added a subscriber: Cparle.
Cparle assigned this task to Edtadros.Mar 27 2019, 4:32 PM
Edtadros reassigned this task from Edtadros to Cparle.Mar 30 2019, 3:51 PM
Edtadros added a subscriber: Edtadros.

@Cparle I have a few questions about the QA steps.

have a look at some File pages, and check in their history - For this step is I'm just using the URL specified in the description. No question here.

compare versions, and on the diff page the tabs should be under the actual diff and clicking on the tabs should work Am I supposed to use the compare version from the "View History" tab or the extremely cool "Browse history interactively" option?

look at an old version of a File page and make sure the tabs appear in the right place, and that clicking on them works I need some clarification as to what "the right place" means. Maybe a screenshot or a link to the spec.

note that on the diff page and on the historical page that you shouldn't have 'edit' buttons you can click on to edit the structured data (captions and depicts) This is self explanatory, however depending on the method I got to the diff page I was either able to or unable to click the "Structured data" tag. For example, in this page I selected the two versions through the interactive browser and I'm unable to select the "Structured Data" tab:

Comparing the same two version through the "Compare Selected" button on the "View History" tab I am able to click the "Structured data" tab.

Even with the open questions, I think this should be failed.

Edtadros updated the task description. (Show Details)Mar 30 2019, 3:52 PM
Cparle added a comment.Apr 1 2019, 2:17 PM

Wow, I never even noticed that interactive browse thing. Yeah, this needs to be failed based on your inability to select the 'structured data' tab in the interactive browser. Will take a look and answer your question when I re-submit

Change 500772 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Put panel initialisation inside hooks

https://gerrit.wikimedia.org/r/500772

Cparle added a comment.Apr 2 2019, 4:18 PM

@Edtadros

compare versions, and on the diff page the tabs should be under the actual diff and clicking on the tabs should work

Am I supposed to use the compare version from the "View History" tab or the extremely cool "Browse history interactively" option?

Both. I'd never noticed the interactive one cos it's an extension I didn't have installed locally :/

look at an old version of a File page and make sure the tabs appear in the right place, and that clicking on them works

works I need some clarification as to what "the right place" means. Maybe a screenshot or a link to the spec.

I just mean under the image, like they appear on the main File page - in earlier versions of this we had bugs where the tabs would appear above the image

note that on the diff page and on the historical page that you shouldn't have 'edit' buttons you can click on to edit the structured data (captions and depicts)

This is self explanatory, however depending on the method I got to the diff page I was either able to or unable to click the "Structured data" tag.

Should be fixed now

Change 500772 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Put panel initialisation inside hooks

https://gerrit.wikimedia.org/r/500772

matthiasmullie reassigned this task from Cparle to Edtadros.Apr 3 2019, 6:45 AM
Edtadros reassigned this task from Edtadros to Cparle.Apr 9 2019, 5:29 AM

Test Result

Status: ❌ FAIL
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):

QA steps:

https://commons.wikimedia.beta.wmflabs.org/w/index.php?title=File:Photo_on_08-02-2019_at_16.35.jpg&diff=107196&oldid=106854&diffmode=source
have a look at some File pages, and check in their history
✅ AC1: compare versions, and on the diff page the tabs should be under the actual diff and clicking on the tabs should work

✅ AC2: look at an old version of a File page and make sure the tabs appear in the right place, and that clicking on them works

✅ AC3: note that on the diff page that you shouldn't have 'edit' buttons you can click on to edit the structured data (captions and depicts)
See AC1 above

❌ AC4: and on the historical page that you shouldn't have 'edit' buttons you can click on to edit the structured data (captions and depicts)
@Cormac it looks like the edit button exists on the historical page.

Edtadros updated the task description. (Show Details)Apr 9 2019, 5:31 AM

Change 504383 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Detach editing controls on diff and historical File pages

https://gerrit.wikimedia.org/r/504383

Change 504537 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Fix selector for enabling statement edits

https://gerrit.wikimedia.org/r/504537

Change 504383 abandoned by Cparle:
Detach editing controls on diff and historical File pages

Reason:
Found a better fix https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseMediaInfo/ /504537

https://gerrit.wikimedia.org/r/504383

Change 504537 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Fix selector for enabling statement edits

https://gerrit.wikimedia.org/r/504537

Change 504576 had a related patch set uploaded (by Jforrester; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.34.0-wmf.1] Fix selector for enabling statement edits

https://gerrit.wikimedia.org/r/504576

Change 504576 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.34.0-wmf.1] Fix selector for enabling statement edits

https://gerrit.wikimedia.org/r/504576

Mentioned in SAL (#wikimedia-operations) [2019-04-17T16:47:40Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.1/extensions/WikibaseMediaInfo/: SDC: Various fixes T218922 T221071 T221110 T221123 (duration: 01m 02s)

works on test-commons

Ramsey-WMF closed this task as Resolved.Apr 24 2019, 1:16 AM

Verified on prod